libmwaw_applepict2 Namespace Reference

Internal and low level: generic tools about Mac Pict2.0 picture. More...

## Classes

struct | Value
| Internal and low level: a class used to read and store all possible value. More...
struct | OpCode
| Internal and low level: a class to define each opcode and their arguments and read their data. More...
class | PictParser
| internal and low level: map opcode id -> OpCode More...

## Variables

static OpCode const | s_listCodes []
| internal and low level: list of new opcodes More...
static PictParser | s_parser
| the map id -> opcode More...

## Detailed Description

Internal and low level: generic tools about Mac Pict2.0 picture.

This regroups some functions to parse them.

## Variable Documentation

OpCode const libmwaw_applepict2::s_listCodes[]

static

Initial value:
= {
OpCode(0x12,"BackCPat",WP_CPATTERN), OpCode(0x13,"PenCPat",WP_CPATTERN), OpCode(0x14,"FillCPat",WP_CPATTERN),
OpCode(0x15, "PnLocHFrac", WP_INT), OpCode(0x16, "ChExtra", WP_INT),
OpCode(0x1A, "RGBFgColor", WP_CCOLOR), OpCode(0x1B, "RGBBKColor", WP_CCOLOR),
OpCode(0x1C, "HiliteMode"), OpCode(0x1D, "HiliteColor", WP_CCOLOR),
OpCode(0x1E, "DefHilite"), OpCode(0x1F, "OpColor", WP_CCOLOR),
OpCode(0x2D, "LineJustify", WP_INT, WP_UFIXED, WP_UFIXED),
OpCode(0x2E, "GlyphState", WP_INT, WP_BYTE, WP_BYTE, WP_BYTE, WP_BYTE),
OpCode(0x9A, "DirectBitsRect", WP_CBITMAP),
OpCode(0x9B, "DirectBitsRgn", WP_CRBITMAP),
OpCode(0x8200, "CompressedQuicktime", WP_QUICKTIME),
OpCode(0x8201, "UncompressedQuicktime", WP_QUICKTIME)
}
libmwaw_applepict1::WP_CCOLOR
Definition: MWAWPictMac.cxx:141
libmwaw_applepict1::WP_BYTE
Definition: MWAWPictMac.cxx:137
libmwaw_applepict1::WP_CBITMAP
Definition: MWAWPictMac.cxx:141
libmwaw_applepict1::WP_CPATTERN
Definition: MWAWPictMac.cxx:141
libmwaw_applepict1::WP_QUICKTIME
Definition: MWAWPictMac.cxx:141
libmwaw_applepict1::WP_CRBITMAP
Definition: MWAWPictMac.cxx:141
libmwaw_applepict1::WP_INT
Definition: MWAWPictMac.cxx:137
libmwaw_applepict1::WP_UFIXED
Definition: MWAWPictMac.cxx:137
libmwaw_applepict1::OpCode
Internal and low level: a class to define each opcode and their arguments and read their data...
Definition: MWAWPictMac.cxx:1012

internal and low level: list of new opcodes

Referenced by libmwaw_applepict2::PictParser::PictParser().

PictParser libmwaw_applepict2::s_parser

static

the map id -> opcode

Referenced by MWAWPictMac::parsePict2().